from OpenGL.GL import *
from vector import Vector

class View:
    def __init__(self, position):
        self.position = Vector(0, 0, 0)
        self.r = Vector(1, 0, 0)
        self.u = Vector(0, 1, 0)
        self.b = Vector(0, 0, 1)

    def view(self):
        matrix = []
        matrix.append(self.r.x)
        matrix.append(self.u.x)
        matrix.append(self.b.x)
        matrix.append(0)
        matrix.append(self.r.y)
        matrix.append(self.u.y)
        matrix.append(self.b.y)
        matrix.append(0)
        matrix.append(self.r.z)
        matrix.append(self.u.z)
        matrix.append(self.b.z)
        matrix.append(0)
        matrix.append(0)
        matrix.append(0)
        matrix.append(0)
        matrix.append(1)

        glLoadMatrixf(matrix)

        glTranslatef(-self.position.x, -self.position.y, -self.position.z)